using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace NKC_WF.ErrorPages
{
    public partial class _500 : BasePage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                var thisMaster = ((SiteContent)this.Master);
                thisMaster.showSearch = false;
                thisMaster.enableAnonym = true;
            }
            cmp_errorDetail.ErrorTitle = traduci("Err_500");
            cmp_errorDetail.ErrorExpl = traduci("Err500Expl");
            cmp_errorDetail.UserName = string.IsNullOrEmpty(User.Identity.Name) ? "N.A." : User.Identity.Name;
        }
    }
}